﻿using System;
using System.Web.Http.Filters;
using iiie.Logs.DataAccess;

namespace iiie.WebApiUtils.BusinessManager
{
    [AttributeUsage(AttributeTargets.Method)]
    public class ExceptionLoggerAttribute : ExceptionFilterAttribute
    {
        public override void OnException(HttpActionExecutedContext context)
        {
            Logger.Log(context.Exception);
        }
    }
}
